SourceTree Issue: The Mercurial team strongly encourages all users to upgrade to 3.7.3 due to security vulnerability

Introduction

If you see the above issue when you update the SourceTree, then follow the steps mentioned below to resolve it. Those who don’t know, it is a free Git and Mercurial client for Windows or Mac, which makes source code management easier with a GUI.

Background

I appreciate how the SourceTree team is continuously improving the software and making it more user friendly. But today, when I updated it to the latest version and opened it again, I saw a weird issue popped up, instead of the SourceTree window.

SourceTree Error

The issue is…

The Mercurial team strongly encourages all users to upgrade to 3.7.3 due to security vulnerability

What is Mercurial?

Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface.

Problem

The version of the Mercurial on your system is old and it has some security vulnerability, which they have fixed and updated with the latest version. If we dig more into the upgrade notes, the below is what you will find.

Mercurial Security Vulnerability Fixes

Solution

Go to Mercurial Download Page. Download the latest package according to your system configuration. Now, SourceTree should work as expected.

Mercurial Downloads